Update a contract enforcement level by id - Gable Docs
Update a contract enforcement level by id
Request
PUT /v0/contract/enforcement-level/{id}
Example Requests
cURL
curl --request PUT \
--url https://demo-api.gable.ai/v0/contract/enforcement-level/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{}'\
Python
import requests
url = "https://demo-api.gable.ai/v0/contract/enforcement-level/{id}"
payload = {}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://demo-api.gable.ai/v0/contract/enforcement-level/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://demo-api.gable.ai/v0/contract/enforcement-level/{id}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PUT",\
CURLOPT_POSTFIELDS => json_encode([\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-KEY: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/contract/enforcement-level/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Responses
200 OK
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"enforcementLevel": "INACTIVE"
}
400 Bad Request
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
404 Not Found
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
500 Internal Server Error
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
Authorizations
- X-API-KEY: required, string, header
Path Parameters
- id: required, string (UUID), UUID of the data contract
Body
- enforcementLevel: required, enum
, The enforcement level for the contract, Available options: RECORD,NOTIFY,ALERT,BLOCK,INACTIVE.